;; File         "load-me.scm"
;; Implements	Trivial FIT and FIT unit-test file loading
;; Author	Ken Dickey
;; Date		15 September 2002
;; Notes
;;   Works with Gauche/gosh Scheme
;;   home page: "http://www.shiro.dreamhost.com/scheme/"

(format #t "Loading files for Gauche/gosh Scheme~%")

(require "srfi-19") ;; NB: load this before changing the load-path
;; else will pull in local (wrong) file of same name.

;; change to your load path root dirname
(define +root-path+ "/home/kend/FIT")

(add-load-path "/home/kend/FIT")

;; eval is different

(define eval-at-top-level eval) ;; just an alias

(define slot-value slot-ref)

(define (error-string error-obj) (slot-value error-obj 'message))

;; DEBUG
(require "gauche/vm/debugger")
(enable-debug)

(define (make-current-date)
  (call-with-values
      (lambda ()
	(with-module srfi-19
	    (let ( (time-now (current-date)) )
	      (values
	       (date-year   time-now)
	       (date-month  time-now)
	       (date-day    time-now)
	       (date-hour   time-now)
	       (date-minute time-now)
	       (date-second time-now)))))
    (lambda (y m d h min sec)
      (make <date>
	:year  y
	:month m
	:day   d
	:hours h
	:minutes min
	:seconds sec))
    
) )


(for-each 
 (lambda (name) (load (string-append +root-path+ "/" name ".scm")))
 '("glue"
   "fit"
   "eg"
   "eg.Music"
   "fit-tests")
)


;;; load-me.scm ends here

