;; File         "load-me.stk"
;; Implements	Trivial FIT and FIT unit-test file loading
;; Author	Ken Dickey
;; Date		16 September 2002
;; Notes
;;  Works with STk/stklos Scheme
;;  home page: "http://kaolin.unice.fr/STklos/"

(format #t "Loading files for STk/stklos Scheme~%")

;; change to your load path root dirname
(define +root-path+ "/home/kend/FIT")

(set-load-path! (cons +root-path+ (load-path)))

;; eval is different

(define (interaction-environment) '())

(define (eval-at-top-level form env)
  ;; stklos does not support an environment specification
  (eval form))

(define (error-string error-obj) error-obj)

;; for stklos
;; adapt from Gauche/gosh style handler
(define-syntax with-error-handler
  (syntax-rules ()
    ((with-error-handler ?handler ?thunk) ;=>
     (with-handler (lambda (kind where message)
		     (?handler
		      (format #f "~a: ~a" (if where where "") message)))
		   (?thunk)))
) )

(define standard-output-port current-output-port)

(define (warn . whatever)
  (format #t "~%warning: ~s~%" whatever))

(define (my-load name)
  (load (string-append +root-path+ "/" name ".scm")))
(require "date")
(my-load "glue")
(define (make-current-date)
  (let ( (date (current-date)) )
    (make <date>
	  :year    (date-year   date)
	  :month   (date-month  date)
	  :day     (date-day    date)
	  :hours   (date-hour   date)
	  :minutes (date-minute date)
	  :seconds (date-second date))
) )
(describe (make-current-date))
(my-load"fit")
(my-load"eg")
(my-load"eg.Music")
(my-load"fit-tests")

;;; load-me.stklos ends here
