#!/usr/bin/clisp --silent -N "~/FIT" 

(mapc #'load '( "generic-macros.fas" "fit.fas"  "eg.fas"  "eg.Music.fas"))

(defun runner-usage ()
  (format t
          "Usage: wiki-runner.lisp infile outfile~% -- apply FIT to HTML infile to get outfile~%"
) )

;;(format t "~%*args* = ~a" *args*)
(if (not (= 2 (length *args*)))
    (runner-usage)
  (let* ( (in-name  (car  *args*))
	  (out-name (cadr *args*))
	  (tables   (do-parse (read-file-into-string in-name)  ;; grok input
			      '("wiki" "table" "tr" "td")))
	  (fixture  (make-instance '<fixture>))
	)
    ;; add annotations
    (reset-counts fixture)
    (summary-put fixture "output file" out-name)
;     (summary-put fixture 
; 		 "input update" 
; 		 (utc-seconds->date (file-mtime in-name)))
    (summary-put fixture "input file"  in-name)
 	;; process input
    (do-tables fixture (parts tables))
    ;; write it out
    (with-open-file (outp out-name :direction :output)
		    (print-to-stream tables outp))
    (format t "~%    ==>> Check file ~a for results~%" out-name)
) )
                       ;; --- E O F ---;;
